Service health
GET
/health
const url = 'https://api.getchord.xyz/v1/health';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.getchord.xyz/v1/healthEngine, cache and pool-sync state. 503 when the routing engine is unreachable.
Responses
Section titled “ Responses ”Media typeapplication/json
object
status
string
version
string
uptime
Seconds.
number
engine
object
status
string
latencyMs
integer
redis
object
status
string
poolCount
integer
lastSyncBlock
integer
Example
{ "status": "ok", "version": "0.1.0", "uptime": 494.311362193, "engine": { "status": "ok", "latencyMs": 1 }, "redis": { "status": "ok" }, "poolCount": 1649, "lastSyncBlock": 106412042}The lane behind this endpoint is not ready or not enabled here (NOT_READY, CHAIN_NOT_ENABLED, NOT_ENABLED, *_UNAVAILABLE). Retry later; do not treat it as an empty answer.
Media typeapplication/json
Every non-2xx body.
object
error
required
Stable machine code, e.g. INVALID_PARAMS, NOT_READY, RATE_LIMIT_EXCEEDED.
string
message
For humans.
string
statusCode
HTTP status, when included.
integer
Example
{ "error": "INVALID_PARAMS", "message": "amount must be an integer string in the token's smallest unit"}